Bug 1286934

Summary: CVE-2015-7529 sos: Usage of predictable temporary files allows privilege escalation [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: sosAssignee: Bryn M. Reeves <bmr>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 23CC: bmr, kroberts
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: sos-3.2-2.fc23 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-28 22:55:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1282542    

Description Huzaifa S. Sidhpurwala 2015-12-01 06:30:24 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2015-12-01 06:30:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1282542,1286934

# Description of your update
notes=Security fix for CVE-2015-7529

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1282542,1286934

Comment 2 Bryn M. Reeves 2015-12-16 17:47:09 UTC
I've updated the rawhide sos build to sos-3.2-1.f24. I'll give this a day or so of testing and then push a similar update to all supported branches.

Comment 4 Bryn M. Reeves 2015-12-16 18:09:36 UTC
Builds in comment #3 are missing the final tmp cleanup patch - without this we leave a stray, empty, mkdtemp directory lying around.

Fresh builds are here:

 [rawhide] http://koji.fedoraproject.org/koji/taskinfo?taskID=12217685
 [f23]     http://koji.fedoraproject.org/koji/taskinfo?taskID=12217688
 [f22]     http://koji.fedoraproject.org/koji/taskinfo?taskID=12217692

Comment 5 Fedora Update System 2015-12-18 16:08:53 UTC
sos-3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-84b1635e90

Comment 6 Fedora Update System 2015-12-18 16:09:38 UTC
sos-3.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b9e4c97ff1

Comment 7 Fedora Update System 2015-12-19 20:00:21 UTC
sos-3.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sos'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-84b1635e90

Comment 8 Fedora Update System 2015-12-22 15:36:12 UTC
sos-3.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b9e4c97ff1

Comment 9 Fedora Update System 2015-12-28 22:55:36 UTC
sos-3.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.